Bug 1309640 - SELinux prevents to send statistics to Graphite db
SELinux prevents to send statistics to Graphite db
Status: ASSIGNED
Product: Red Hat Storage Console
Classification: Red Hat
Component: agent (Show other bugs)
2
Unspecified Unspecified
high Severity unspecified
: ---
: 3
Assigned To: Timothy Asir
sds-qe-bugs
: TestBlocker
Depends On:
Blocks: 1319850 1326788
  Show dependency treegraph
 
Reported: 2016-02-18 06:15 EST by Martin Kudlej
Modified: 2018-01-30 19:44 EST (History)
4 users (show)

See Also:
Fixed In Version: rhscon-core-0.0.34-1.el7scon.x86_64 rhscon-ceph-0.0.33-1.el7scon.x86_64 rhscon-ui-0.0.47-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-02-18 06:15:46 EST
Description of problem:
Collectd is up and running. SELinux in enforcing mode. Communication from node to Graphite server does not work.

If SELinux set permissive mode on node and restart collectd it works.

Version-Release number of selected component (if applicable):
collectd-5.4.2-1.el7ost.x86_64
rhscon-agent-0.0.3-1.el7.noarch

How reproducible:
100%

Actual results:
SELinux should be in permissive mode for sending statistics from node to Graphite db.

Expected results:
SELinux can be in enforcing mode for sending statistics from node to Graphite db.
Comment 2 Timothy Asir 2016-06-27 01:54:18 EDT
Could you please attach the AVC log report here!
Comment 4 Timothy Asir 2016-07-05 01:22:37 EDT
Patch sent to upstream for review: https://review.gerrithub.io/#/c/281655/

Note You need to log in before you can comment on or make changes to this bug.